window.Gleam.initSearch([{"doc":"jot","title":"jot","content":"# jot\n\nA parser for [Djot][djot], a markdown-like language.\n\n[djot]: https://djot.net/\n\n[![Package Version](https://img.shields.io/hexpm/v/jot)](https://hex.pm/packages/jot)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/jot/)\n\n```sh\ngleam add jot\n```\n```gleam\nimport jot\n\nconst document = &quot;\n# Hello, Joe!\n\nThis is a [Djot][djot] document.\n\n[djot]: https://www.djot.net/\n&quot;\n\npub fn main() {\n  // Turn the document into HTML\n  let html = jot.to_html(document)\n\n  // Alternatively, parse the document to an AST\n  let ast = jot.parse(document)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/jot&gt;.\n\n## Status\n\nThis project is a work in progress. So far it supports:\n\n- [x] Headings\n- [x] Paragraphs\n- [x] Links (inline and reference)\n- [x] Images\n- [x] Code blocks\n- [x] Inline code\n- [x] Emphasis and strong\n- [x] Block attributes\n","url":"index.html"},{"doc":"jot","title":"Container","content":"pub type Container {\n  Paragraph(attributes: Dict(String, String), List(Inline))\n  Heading(\n    attributes: Dict(String, String),\n    level: Int,\n    content: List(Inline),\n  )\n  Codeblock(\n    attributes: Dict(String, String),\n    language: Option(String),\n    content: String,\n  )\n}\n\nParagraph(attributes: Dict(String, String), List(Inline))\n\n\nHeading(\n  attributes: Dict(String, String),\n  level: Int,\n  content: List(Inline),\n)\n\n\nCodeblock(\n  attributes: Dict(String, String),\n  language: Option(String),\n  content: String,\n)\n\n\nSynonyms:\njot.Container\njot Container","url":"jot.html#Container"},{"doc":"jot","title":"Destination","content":"pub type Destination {\n  Reference(String)\n  Url(String)\n}\n\nReference(String)\n\n\nUrl(String)\n\n\nSynonyms:\njot.Destination\njot Destination","url":"jot.html#Destination"},{"doc":"jot","title":"Document","content":"pub type Document {\n  Document(\n    content: List(Container),\n    references: Dict(String, String),\n  )\n}\n\nDocument(\n  content: List(Container),\n  references: Dict(String, String),\n)\n\n\nSynonyms:\njot.Document\njot Document","url":"jot.html#Document"},{"doc":"jot","title":"Inline","content":"pub type Inline {\n  Text(String)\n  Link(content: List(Inline), destination: Destination)\n  Image(content: List(Inline), destination: Destination)\n  Emphasis(content: List(Inline))\n  Strong(content: List(Inline))\n  Code(content: String)\n}\n\nText(String)\n\n\nLink(content: List(Inline), destination: Destination)\n\n\nImage(content: List(Inline), destination: Destination)\n\n\nEmphasis(content: List(Inline))\n\n\nStrong(content: List(Inline))\n\n\nCode(content: String)\n\n\nSynonyms:\njot.Inline\njot Inline","url":"jot.html#Inline"},{"doc":"jot","title":"document_to_html","content":"pub fn document_to_html(document: Document) -&gt; String\n Convert a document tree into a string of HTML.\n\nSynonyms:\njot.document_to_html\njot document_to_html","url":"jot.html#document_to_html"},{"doc":"jot","title":"parse","content":"pub fn parse(djot: String) -&gt; Document\n Convert a string of Djot into a tree of records.\n\n This may be useful when you want more control over the HTML to be converted\n to, or you wish to convert Djot to some other format.\n\nSynonyms:\njot.parse\njot parse","url":"jot.html#parse"},{"doc":"jot","title":"to_html","content":"pub fn to_html(djot: String) -&gt; String\n Convert a string of Djot into a string of HTML.\n\n If you want to have more control over the HTML generated you can use the\n `parse` function to convert Djot to a tree of records instead. You can then\n traverse this tree and turn it into HTML yourself.\n\nSynonyms:\njot.to_html\njot to_html","url":"jot.html#to_html"},{"doc":"jot","title":"jot","content":"","url":"jot.html"}]);